import * as plugins from './kubernetes.plugins';

export class KubeClient {
  public client: plugins.kubectl.ApiRoot;

  constructor() {};

  public async init () {
    const { KubeConfig } = require('kubernetes-client')
    const kubeconfig = new KubeConfig()
    kubeconfig.loadFromFile('~/some/path');
    const Request = require('kubernetes-client/backends/request');
    
    const backend = new Request({ kubeconfig });
    this.client = new plugins.kubectl.Client1_13({ backend, version: '1.13' })
  }
}
